--- debian-policy-3.6.1.1.orig/policy.sgml	2004-06-25 22:11:36.000000000 +0100
+++ debian-policy-3.6.1.1/policy.sgml	2005-04-10 23:13:07.000000000 +0100
@@ -6688,8 +6688,32 @@
 	</p>
 
 	<p>
-	  Debian uses the serial devices
-	  <file>/dev/ttyS*</file>. Programs using the old
+	  For the Debian Linux port, packages which hard-code device
+	  names, or provide default device names in their
+	  configuration files, should use the standard Linux device
+	  names specified by <url
+	    id="http://www.lanana.org/docs/device-list/devices.txt"
+	    name="LANANA">, and should additionally also support the
+	  alternate <url
+	    id="http://www.atnf.csiro.au/people/rgooch/linux/docs/devfs.html#kernel-names"
+	    name="DevFS"> device naming scheme which is also in common
+	  use.
+	</p>
+
+	<p>
+	  Packages may allow specification of devices, for example
+	  using command-line options or configuration files.  If
+	  devices are automatically detected, the LANANA device names
+	  should be used by default, and the DevFS names should also
+	  be checked for.  Packages must allow specification of
+	  devices for devices with a wide variety of device names (for
+	  example, hard discs), since autodetection is both
+	  impractical and imposes arbitrary limits on its use.
+	</p>
+
+	<p>
+	  Debian uses the serial devices <file>/dev/ttyS*</file>
+	  (<file>/dev/tts/*</file> with DevFS). Programs using the old
 	  <file>/dev/cu*</file> devices should be changed to use
 	  <file>/dev/ttyS*</file>.
 	</p>
